Subject: Re: [bug#76728] [PATCH] gnu: avogadro2: fix open babel input

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 18 May 2025 13:02:25 +0200

Hi,

As a user of the avogadro2 program, would you say that a regular user
would use openbabel as an extra program anyway? (or be aware of it)

That is, is openbabel "inside the avogadro2 black box" or "outside the
avogadro2 black box as its own black box" ?

For what it's worth, I've checked the avogadro2 source code, and they
set the variable OBABEL_EXE to where the program "obabel" is.  After
that, they set BABEL_DIR relative to that, and finally they set
ob_plugins to refer to some .so files within $BABEL_DIR/lib, and then:

install_qt5_executable(${exe} "${plugins}" "${ob_plugins}" "${dirs}" "")

So for me as not-a-user-of-avogadro2 it seems like openbabel should be
inside the black box of avogadro2?

What do you think?